package org.softwarepipelines.config.dest;

/**
 * Simple destination information class used to map message source distributor names to a destination distributor/connector pair in spring.
 * 
 * This class is used to populate a DestinationMap instance, instantiated as a singleton in spring, and used by service instances to
 * invoke other services on a distributor (possibly the same distributor) through a given connector.
 * 
 * @author cholm
 *
 */
public class DestinationInfo {
	
	public String destinationDistributor;
	public String destinationConnector;
	
	public String getDestinationDistributor() {
		return destinationDistributor;
	}

	public void setDestinationDistributor(String destinationDistributor) {
		this.destinationDistributor = destinationDistributor;
	}

	public String getDestinationConnector() {
		return destinationConnector;
	}

	public void setDestinationConnector(String destinationConnector) {
		this.destinationConnector = destinationConnector;
	}
}
