package org.softwarepipelines.config;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

import org.apache.log4j.Logger;

import junit.framework.TestCase;

public class ConfigPatternTest extends TestCase {
	final private static Logger LOG = Logger.getLogger(ConfigPatternTest.class);

	public void testPatterns() {
		// should be a regular expression that matches any input string that starts with any latter from a to g, upper or lower case
		Pattern pattern = Pattern.compile("[a-gA-G].*");
		Matcher m = pattern.matcher("Billy");
		assertTrue(m.matches());
		m = pattern.matcher("Jeffery");
		assertFalse(m.matches());
	}
	
	public void testParseNames() {
		String fullName = "Colin Holm";
		String [] names = fullName.split(" ");
		LOG.info(names[0]);
		LOG.info(names[1]);
		assertEquals("Colin", names[0]);
		assertEquals("Holm", names[1]);
	}
	
}
