package org.softwarepipelines.examples.hello;

import java.io.IOException;
import java.io.ObjectInput;
import java.io.ObjectOutput;

import org.softwarepipelines.config.util.ConfigHelper;
import org.softwarepipelines.framework.message.AbstractMessage;

public class HelloMessage extends AbstractMessage {
	
	public String name;

	public HelloMessage() {
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
	
	public void writeExternal(ObjectOutput out) throws IOException {
		super.writeExternal(out);
		
		// and write the hello from name
		out.writeUTF(this.getName());
	}
	
	public void readExternal(ObjectInput in) throws IOException {
		super.readExternal(in);
		
		// and read the hello from name
		this.setName(in.readUTF());
	}

	public boolean equals(Object obj) {
		// check type
		if (!(obj instanceof HelloMessage)) {
			return false;
		}
		HelloMessage msg = (HelloMessage) obj;
		
		// call super equals
		if (!super.equals(msg)) {
			return false;
		}
		
		// and then check the name
		if (!ConfigHelper.checkStringMemsEqual(this.getName(), msg.getName())) {
			return false;
		}
		
		return true;
	}
	
	public String toString() {
		
		return super.toString() + "\n\tName:\t" + this.getName();
	}
}
