package org.softwarepipelines.examples.hello.id;

import java.io.IOException;
import java.io.ObjectInput;
import java.io.ObjectOutput;

import org.softwarepipelines.framework.message.AbstractMessage;

public class HelloIdMessage extends AbstractMessage {
	
	public int id;

	public HelloIdMessage() {
	}

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}
	
	public void writeExternal(ObjectOutput out) throws IOException {
		super.writeExternal(out);
		
		// and write the hello from name
		out.writeInt(this.getId());
	}
	
	public void readExternal(ObjectInput in) throws IOException {
		super.readExternal(in);
		
		// and read the hello from name
		this.setId(in.readInt());
	}

	public boolean equals(Object obj) {
		// check type
		if (!(obj instanceof HelloIdMessage)) {
			return false;
		}
		HelloIdMessage msg = (HelloIdMessage) obj;
		
		// call super equals
		if (!super.equals(msg)) {
			return false;
		}
		
		// and then check the name
		if (this.getId() != msg.getId()) {
			return false;
		}
		
		return true;
	}
	
	public String toString() {
		
		return super.toString() + "\tID: " + this.getId();
	}
}
