package org.softwarepipelines.examples.pbcor;

import org.softwarepipelines.examples.pbcor.acctdb.Account;
import org.softwarepipelines.examples.pbcor.acctdb.AccountDB;
import org.softwarepipelines.framework.exception.PipelineException;
import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

public class CheckBalance {
	
	/* Account DB */
	private AccountDB acctDB;
	
	public CheckBalance() {
		/* Load the application context */
		ApplicationContext ac = new ClassPathXmlApplicationContext("pbcorAppContext.xml");
		
		/* Load the AccountDB */
		acctDB = (AccountDB) ac.getBean("accountDB");
	}
	
	public float getBalance(final long acctNum) throws PipelineException {
		/* Get the account from the DB */
		Account acct = acctDB.getAccountByNumber(acctNum);
		
		/* Return the balance */
		return acct.getBalance();
	}
	
	/**
	 * Shut down the service.
	 */
	public void shutdown() throws PipelineException {
		acctDB.shutdown();
	}

}
