package org.softwarepipelines.examples.pbcor;

import java.io.IOException;
import java.io.ObjectInput;
import java.io.ObjectOutput;

public class DebitAcctMessage extends AccountTransMessage {
	
	/* Amount to debit */
	protected float amount;

	public DebitAcctMessage() {
		super();
	}

	public float getAmount() {
		return amount;
	}

	public void setAmount(float amount) {
		this.amount = amount;
	}

	/**
	 * Implement writeExternal for efficient serialization
	 * of the message. This is used for the socket 
	 * connector type, and only serializes the specific
	 * fields required.
	 */
	public void writeExternal(ObjectOutput out) throws IOException {
		super.writeExternal(out);
		
		/* Write the amount */
		out.writeFloat(this.getAmount());
	}

	/**
	 * Implement readExternal for efficient de-serialization
	 * of the message. This is used for the socket 
	 * connector type, and only reads  the specific
	 * fields required.
	 */
	public void readExternal(ObjectInput in) throws IOException {
		super.readExternal(in);
		
		/* Read the amount */
		this.setAmount(in.readFloat());
	}

	/**
	 * Output the message as a string.
	 */
	public String toString() {
		return super.toString() + "\n\tAmount: $" + this.getAmount();
	}
}
