package org.softwarepipelines.examples.pbcor.acctdb;

import org.softwarepipelines.framework.exception.PipelineException;

/**
 * Interface for a PBCOR account database communication service.
 * 
 * @author cholm
 */
public interface AccountDB {

	/**
	 * Retrieve the Account with the given account number.
	 * 
	 * @param acctNum the account number
	 * @return the Acccount
	 */
	public Account getAccountByNumber (long acctNum) throws PipelineException;
	
	/**
	 * Saves an account to the database.
	 * @param acct the Account to save.
	 */
	public void saveAccount(Account acct) throws PipelineException;
	
	/**
	 * Shuts down the database communication service.
	 */
	public void shutdown() throws PipelineException;
	
}
