package org.softwarepipelines.examples.spring;

import javax.xml.namespace.QName;
import javax.xml.rpc.Service;
import javax.xml.rpc.encoding.TypeMapping;
import javax.xml.rpc.encoding.TypeMappingRegistry;

import org.apache.axis.encoding.ser.BeanDeserializerFactory;
import org.apache.axis.encoding.ser.BeanSerializerFactory;
import org.softwarepipelines.examples.hello.HelloMessage;
import org.softwarepipelines.framework.message.AbstractMessage;
import org.springframework.remoting.jaxrpc.JaxRpcPortProxyFactoryBean;

public class PipelinesDistributorProxyFactoryBean extends JaxRpcPortProxyFactoryBean {

	protected void postProcessJaxRpcService(Service service) {
		TypeMappingRegistry tmr = service.getTypeMappingRegistry();
		TypeMapping tm = tmr.createTypeMapping();
		
		// register the AbstractMessage bean mapping
		QName qname = new QName("http://www.softwarepipelines.org/messages/encoding/", "AbstractMessage");
		tm.register(AbstractMessage.class, qname, 
				new BeanSerializerFactory(AbstractMessage.class, qname),
				new BeanDeserializerFactory(AbstractMessage.class, qname));
		
		// and then register the type mapping
		tmr.register("http://schemas.xmlsoap.org/soap/encoding/", tm);
		
		// now register the HelloMessage
		tm = tmr.createTypeMapping();
		qname = new QName("http://www.softwarepipelines.org/messages/encoding/", "HelloMessage");
		tm.register(HelloMessage.class, qname, 
				new BeanSerializerFactory(HelloMessage.class, qname),
				new BeanDeserializerFactory(HelloMessage.class, qname));
		
		// and then register the type mapping
		tmr.register("http://schemas.xmlsoap.org/soap/encoding/", tm);
	}

}
