package org.softwarepipelines.examples.hello;

import java.io.File;
import java.io.IOException;

import org.apache.log4j.Logger;
import org.jperf.PerfTest;
import org.jperf.PerfTestRunner;
import org.softwarepipelines.config.exception.ConfigException;
import org.softwarepipelines.examples.hello.HelloMessage;
import org.softwarepipelines.framework.exception.PipelineException;

public class NoPipelinesHelloPerfTest implements PerfTest {
	private static Logger LOG = Logger.getLogger(NoPipelinesHelloPerfTest.class);
	
	private static HelloPipelinesResponseService helloService = new HelloPipelinesResponseService();

	public NoPipelinesHelloPerfTest() {
	}

	public void setUp() throws Exception {
	}

	public void tearDown() throws Exception {
	}

	public void test() throws Exception {
		// build the hello message
		HelloMessage msg = new HelloMessage();
		msg.setServiceName("helloService");
		msg.setName("Colin");
		
		helloService.processMessage(msg);
		LOG.debug("Sent message: " + msg);
	}
	
	/**
     * @param args
     */
    public static void main(String[] args) throws IOException, PipelineException, ConfigException {
        PerfTestRunner r = new PerfTestRunner();
        r.setMaxClient(6);
        r.setTestPeriod(4000);
        r.setResultFile(new File(
                "results/test/perf/NoPipelinesHelloPerfTest-results.xml"));
        r.run(NoPipelinesHelloPerfTest.class);
    }

}
