package org.softwarepipelines.framework.callback;

import org.softwarepipelines.framework.exception.PipelineException;
import org.softwarepipelines.framework.message.AbstractMessage;


/**
 * Interface for a generic pipeline service callback handler.
 *
 * @author cholm
 *
 */
public interface PipelinesCallbackHandler {
	
    /**
     * Return the result message from a PipelineService.
     *
     * @param result the AbstractMessage returned from a PipelineService invoke
     */
    public void returnResult(final AbstractMessage result) throws PipelineException;
}
