package org.softwarepipelines.framework.nio;

import java.nio.channels.SocketChannel;

public class OpsChangeRequest {
	
	final public static int REGISTER_CHANGE_TYPE = 1;
	final public static int OP_CHANGE_TYPE = 2;

	protected SocketChannel channel;
	protected int type;
	protected int ops;
	protected Object attachment;
	
	public OpsChangeRequest() {
	}

	public SocketChannel getChannel() {
		return channel;
	}

	public void setChannel(SocketChannel channel) {
		this.channel = channel;
	}

	public int getType() {
		return type;
	}

	public void setType(int type) {
		this.type = type;
	}

	public int getOps() {
		return ops;
	}

	public void setOps(int ops) {
		this.ops = ops;
	}

	public Object getAttachment() {
		return attachment;
	}

	public void setAttachment(Object attachment) {
		this.attachment = attachment;
	}	
	
	public boolean equals(Object obj) {
		// check the type
		if (!(obj instanceof OpsChangeRequest)) {
			return false;
		}
		
		// and create an OpsChangeRequest to compare
		OpsChangeRequest c2 = (OpsChangeRequest) obj;
		
		// check the type
		if (this.getType() != c2.getType()) {
			return false;
		}
		
		// check the ops
		if (this.getOps() != c2.getOps()) {
			return false;
		}
		
		// and check the channel (not attachment for now, do we need to?)
		if (this.getChannel() != c2.getChannel()) {
			return false;
		}
		
		return true;
	}
}