package org.softwarepipelines.framework.service;

import org.apache.log4j.Logger;
import org.softwarepipelines.config.pipeline.PipelineConfig;
import org.softwarepipelines.framework.connector.PipelinesConnectorBase;
import org.softwarepipelines.framework.exception.PipelineException;
import org.softwarepipelines.framework.message.AbstractMessage;

public class RelayService extends PipelineServiceBase {
	final private static Logger LOG = Logger.getLogger(RelayService.class);
	
	protected PipelinesConnectorBase connector;

	public RelayService() {
	}

	public RelayService(PipelineConfig config) throws PipelineException {
		super(config.getServiceConfig());
	}
	
	public void initRelay() throws PipelineException {
		connector = this.distributor.getClientBroker().checkoutSocketConnector();
	}
	
	public void processMessage(AbstractMessage msg) throws PipelineException {
		LOG.debug("Relaying void service invoke with message: " + msg + "\nover connector: " + connector);
		connector.send(msg);
	}

	public PipelinesConnectorBase getConnector() {
		return connector;
	}

	public void setConnector(PipelinesConnectorBase connector) {
		this.connector = connector;
	}

}
